package com.chenyang.nse.bussiness.performance_monitor.entity;

import java.util.List;

public class PerformanceDashBoardLineChartVO {
   List<PerformanceMonitorResVO> records;
   String segTime;
   double maxIndex;

   public List<PerformanceMonitorResVO> getRecords() {
      return this.records;
   }

   public String getSegTime() {
      return this.segTime;
   }

   public double getMaxIndex() {
      return this.maxIndex;
   }

   public void setRecords(final List<PerformanceMonitorResVO> records) {
      this.records = records;
   }

   public void setSegTime(final String segTime) {
      this.segTime = segTime;
   }

   public void setMaxIndex(final double maxIndex) {
      this.maxIndex = maxIndex;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof PerformanceDashBoardLineChartVO)) {
         return false;
      } else {
         PerformanceDashBoardLineChartVO other = (PerformanceDashBoardLineChartVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$records = this.getRecords();
            Object other$records = other.getRecords();
            if (this$records == null) {
               if (other$records != null) {
                  return false;
               }
            } else if (!this$records.equals(other$records)) {
               return false;
            }

            Object this$segTime = this.getSegTime();
            Object other$segTime = other.getSegTime();
            if (this$segTime == null) {
               if (other$segTime != null) {
                  return false;
               }
            } else if (!this$segTime.equals(other$segTime)) {
               return false;
            }

            if (Double.compare(this.getMaxIndex(), other.getMaxIndex()) != 0) {
               return false;
            } else {
               return true;
            }
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof PerformanceDashBoardLineChartVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $records = this.getRecords();
      result = result * 59 + ($records == null ? 43 : $records.hashCode());
      Object $segTime = this.getSegTime();
      result = result * 59 + ($segTime == null ? 43 : $segTime.hashCode());
      long $maxIndex = Double.doubleToLongBits(this.getMaxIndex());
      result = result * 59 + (int)($maxIndex >>> 32 ^ $maxIndex);
      return result;
   }

   public String toString() {
      return "PerformanceDashBoardLineChartVO(records=" + this.getRecords() + ", segTime=" + this.getSegTime() + ", maxIndex=" + this.getMaxIndex() + ")";
   }
}
